@import url('https://fonts.googleapis.com/css2?family=Libre+Franklin:wght@100;200;300;700;800&display=swap');

:root {
    --color-red: #C8102E;
    --color-black: black;
    --color-white: white;
}

/* Logos */
.weiss-logo {
    height:20px;
    margin-right:35px;
}

.supsi-logo {
    height: 20px;
}

.wsxtc-logo {
    height: 45px;
}

/* Links */
.link {
    color: var(--color-black) !important;
}

.link:hover {
    color: var(--color-red) !important;
}

.link-hidden {
    display: none;
}

/* Buttons and inputs */
.center-btn {
    display: flex;
    justify-content: center;
}

.custom-btn:hover {
    text-decoration-color: var(--color-white);
    background-color: var(--color-red) !important;
    border-color: var(--color-red) !important;
}

.white-btn {
    border-color: var(--color-black);
}

.form-btn-center {
    display: flex;
    flex-wrap: wrap;
    align-content: center;
}

.custom-textarea {
    resize: none;
    height: 120px !important;
}

/* Containers */
.flex-all-page-body {
    display:flex;
    flex-direction:column;
    min-height:100vh;
}

.padded-container {
    padding: 1% 10% 1% 10%;
}

.flex-container {
    display: flex;
    flex-direction: column;
    margin-top: 2.5%;
    flex: 1;
}

.home-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex: 1;
}

.with-background {
    background-image: url("/images/wave_background.jpg");
    background-position: center;
    background-repeat: repeat-x;
}

.container-with-margins {
    margin: 0 6%;
}

.form {
    width: 450px;
}

.padding-right-10 {
    padding-right: 10px;
}

.custom-tabs {
    justify-content: center;
}

.products-table {
    display: flex;
    flex-direction: column;
    min-width: 700px;
}

.my-captcha {
    margin-bottom: 10px;
}

.support-form-container {
    display: flex;
    justify-content: center;
}


/* Fonts */
.text-font {
    font-family: 'Libre Franklin', sans-serif !important;
    font-weight: 200;
}

.headline-font {
    font-family: 'Libre Franklin', sans-serif !important;
    font-weight: 700;
}

.title-font {
    font-family: 'Libre Franklin', sans-serif !important;
    font-weight: 800;
}

.xlg-font-size {
    font-size: 60px !important;
}

.lg-font-size {
    font-size: 40px !important;
}

.md2-font-size {
    font-size: 30px;
}

.md-font-size {
    font-size: 20px;
}

.sm-font-size {
    font-size: 18px !important;
}

.xsm-font-size {
    font-size: 15px !important;
}